## cluster-tools-server 1.1.131208

=== debian/changelog ===
cluster-tools-server (1.1.131208) stable; urgency=low

  * Added the mounting of the /dev/pts/ filesystem in the case of the tools
    that operate within chroot cages; reviewed the hard-link-exclusion.<fs>
    files; included the latest PXE-security kernel patches.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 08 Dec 2013 03:59:29 -0200

cluster-tools-server (1.1.120920) stable; urgency=low

  * Included the latest kernel patches.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 20 Sep 2012 13:21:29 -0300

cluster-tools-server (1.1.120418) stable; urgency=low

  * Updated the cjobs utility in order to correct for changes in the
    option syntax of the "top" program.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 18 Apr 2012 12:49:19 -0300

cluster-tools-server (1.1.120129) stable; urgency=low

  * Added the PXE-security patches for the latest kernel versions.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 29 Jan 2012 16:48:28 -0200

cluster-tools-server (1.1.110213) stable; urgency=low

  * Fixed a bug in the tool hard-link-packages, that broke the processing
    of the command-line arguments when one uses the option -P [N], in the
    case in which the numerical argument N is present.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 13 Feb 2011 13:38:17 -0200

cluster-tools-server (1.1.110203) stable; urgency=low

  * Fixed the make-new-netboot-node tool to prevent it from descending
    into directories in other filesystems, in case the source node has
    chroot mounts within it.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 03 Feb 2011 11:49:23 -0200

cluster-tools-server (1.1.100516) stable; urgency=low

  * Updated the cross-references within the man pages; added the
    PXE-security patches for the latest kernel versions.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 16 May 2010 18:58:19 -0300

cluster-tools-server (1.1.100513) stable; urgency=low

  * Added the possibility of a numerical argument to the -P option of some
    tools, for the time to pause, in seconds; updated the man pages; moved
    the cluster.5 man page to cluster.7.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 13 May 2010 18:59:10 -0300

cluster-tools-server (1.1.091001) stable; urgency=low

  * Just added the PXE-security patches for the latest kernel versions.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 01 Oct 2009 13:46:38 -0300

cluster-tools-server (1.1.090720) stable; urgency=low

  * Updated the hard-link-exclusions.root and hard-link-exclusions.var
    files for lenny; included the /sys mount in the multi-apt-get-chroot,
    multi-dpkg-chroot and multi-crontab-chroot utilities.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 20 Jul 2009 23:07:42 -0300

cluster-tools-server (1.1.080409) stable; urgency=low

  * Started distributing the package as an "all" architecture package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 03:16:36 -0300

cluster-tools-server (1.1.080219) stable; urgency=low

  * Updated the build-depends, standards and debhelper compatibility
    versions; moved README to README.Debian.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 19 Feb 2008 14:58:32 -0300

cluster-tools-server (1.1.070627) stable; urgency=low

  * Fixed a problem with the Makefiles: the new tool distribute-configs
    had not really been included in the package.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed, 27 Jun 2007 10:56:36 -0300

cluster-tools-server (1.1.070626) stable; urgency=low

  * A new tool, distribute-configs, was included in the package; a few
    improvements were made in the tool make-new-netboot-node; a bit of
    coding cleanup was done in some of the other tools; the manual pages
    were updated.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 26 Jun 2007 21:04:11 -0300

cluster-tools-server (1.1.070622) stable; urgency=low

  * Fixed a bug in the "-t" option of the cjobs utility, which is relevant
    only when the cluster aliases file is in use. Also added the PXE
    security kernel patch for the latest versions of the kernel.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 22 Jun 2007 09:21:30 -0300

cluster-tools-server (1.1.070608) stable; urgency=low

  * Added the PXE security kernel patch for the latest versions of the kernel.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri,  8 Jun 2007 15:13:38 -0300

cluster-tools-server (1.1.070224) stable; urgency=low

  * Implemented the possibility of running over only the first (virtual)
    node as the template, in the utilities hard-link-common-files and
    hard-link-packages. Updated the documentation. Also added the PXE
    security kernel patch for the latest versions of the kernel. Last, but
    not least, cranked up the major version number from 1.0 to 1.1.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 24 Feb 2007 17:13:08 -0200

cluster-tools-server (1.0.070224) stable; urgency=low

  * Made a few improvements in the documentation and in the output format
    of the cruptime command.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 24 Feb 2007 01:30:56 -0200

cluster-tools-server (1.0.070223) stable; urgency=low

  * Implemented the possibility of using a cluster aliases file, so that
    the cluster nodes may have arbitrary hostnames. Also added the PXE
    security kernel patch for the latest versions of the kernel.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Fri, 23 Feb 2007 21:33:56 -0200

cluster-tools-server (1.0.070127) stable; urgency=low

  * Updated the required exclusions list for the root filesystem, and also
    added the PXE security kernel patch for the latest versions of the
    kernel.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sat, 27 Jan 2007 11:12:45 -0200

cluster-tools-server (1.0.070118) stable; urgency=low

  * Changed the tool make-new-netboot-node to remove the manipulation of a
    soft link at the root of each node, named after the hostname of the
    node and pointing to the root directory itself; this was a long


## cluster-tools-server 1.1.131223

=== config-library/trm/tftpboot/Makefile ===
# JLdL 22Oct04.
#
# Rule to make the NBI kernel image.
vmlinuz-nbi: vmlinuz Makefile
	mkelf-linux --rootdir=rom --ip=rom \
		--append="root=/dev/nfs" --output=$@ $<

=== config-library/pmc/tftpboot/pxelinux.cfg/Makefile ===
# JLdL 05Mar05.

SEP = ------------------------------------------------------------------------
SPC = '        '
HRD = 'Active contents of the PXELinux configuration file'
FTR = 'Press key [F10] ([Ctrl]-F-0) to re-display the banner'

all: C0A8000A.f9 C0A8000B.f9 C0A8000C.f9

%.f9: % Makefile
	echo -n '' > $@
	echo $(SEP) >> $@
	echo $(SPC)$(HRD): >> $@
	echo $(SEP) >> $@
	cat $< | egrep -v '^ *$$|^ *#' >> $@
	echo $(SEP) >> $@
	echo $(SPC)$(FTR). >> $@
	echo $(SEP) >> $@

clean:
	rm -f *~

=== config-library/trm/tftpboot/pxelinux.cfg/Makefile ===
# JLdL 05Mar05.

SEP = ------------------------------------------------------------------------
SPC = '        '
HRD = 'Active contents of the PXELinux configuration file'
FTR = 'Press key [F10] ([Ctrl]-F-0) to re-display the banner'

all: AC108128.f9 AC108129.f9 AC10812A.f9

%.f9: % Makefile
	echo -n '' > $@
	echo $(SEP) >> $@
	echo $(SPC)$(HRD): >> $@
	echo $(SEP) >> $@
	cat $< | egrep -v '^ *$$|^ *#' >> $@
	echo $(SEP) >> $@
	echo $(SPC)$(FTR). >> $@
	echo $(SEP) >> $@

clean:
	rm -f *~

=== debian/changelog ===
cluster-tools-server (1.1.131223) stable; urgency=low

  * Added the handling of package names with the format <package>:<arch>,
    which is now being used for some library packages. Also fixed a bug in
    the handling of the control files of the packages.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Mon, 23 Dec 2013 18:13:46 -0200

## cluster-tools-server 1.1.140128

=== Makefile ===
# -*-makefile-*-
# JLdL 08Dec13.
#
# This makefile closes the "cluster-tools-server" package, as an
# _ "all" arch package; the main part of its structure is meant
# _ to install everything within the debian/package subdirectory.

# Edited for Debian GNU/Linux.
DESTDIR = 

# The package this makefile is meant for.
PACKAGE = cluster-tools-server

# Where the configuration file goes.
ETC = $(DESTDIR)/etc

# Where the user executables go.
CBIN = $(DESTDIR)/usr/bin

# Where the root executables go.
SBIN = $(DESTDIR)/usr/sbin

# Where the server library goes.
SLIB = $(DESTDIR)/usr/lib/cluster

# Where the man pages go.
MANS = $(DESTDIR)/usr/share/man

# Where the additional documentation goes.
DOCS = $(DESTDIR)/usr/share/doc/$(PACKAGE)

# The configuration files.
CONFFILES = \
cluster.conf \
cluster.aliases

# The user executables.
CBINFILES = \
cdsh \
cjobs \
cruptime

# The root executables.
SBINFILES = \
distribute-configs \
hard-link-common-files \
hard-link-packages \
make-new-netboot-node \
multi-apt-get \
multi-apt-get-chroot \
multi-apt-get-remote \
multi-crontab-chroot \
multi-dpkg \
multi-dpkg-chroot \
multi-dpkg-remote

# The server library.
SLIBFILES = \
hard-link-common-files.sub \
hard-link-exclusions.root \
hard-link-exclusions.var \
hard-link-exclusions.usr \
hard-link-packages.sub \
hard-link-required-exclusions.root \
hard-link-required-exclusions.var \
make-new-netboot-node.sub \
fake-var-run.README \
fake-var-yp-binding.README \
cluster.conf.client \
cluster.conf.server

# The user man pages.
MAN1FILES = \
cdsh.1.gz \
cjobs.1.gz \
cruptime.1.gz

# The file man pages.
MAN5FILES = \
cluster.conf.5.gz

# The description man pages.
MAN7FILES = \
cluster.7.gz

# The root man pages.
MAN8FILES = \
distribute-configs.8.gz \
hard-link-common-files.8.gz \
hard-link-packages.8.gz \
make-new-netboot-node.8.gz \
multi-apt-get.8.gz \
multi-apt-get-chroot.8.gz \
multi-apt-get-remote.8.gz \
multi-crontab-chroot.8.gz \
multi-dpkg.8.gz \
multi-dpkg-chroot.8.gz \
multi-dpkg-remote.8.gz

# Extra documentation files and directories.
DOCSFILES = \
debian/README.Debian \
config-library \
disk-sizes \
first-node \
kernel-configs \
kernel-patches \
package-lists \
WARNINGS \
PACKINST

default:
	@echo "Nothing to do: no actual compilation is needed."

# Install files on the server.
install: $(MAN1FILES) $(MAN5FILES) $(MAN7FILES) $(MAN8FILES)
	@echo Installing the configuration files in $(ETC)/
	@mkdir -p $(ETC)/
	@cp -pf $(CONFFILES) $(ETC)/
	@echo Installing user executables in $(CBIN)/
	@mkdir -p $(CBIN)/
	@cp -pf $(CBINFILES) $(CBIN)/
	@echo Installing root executables in $(SBIN)/
	@mkdir -p $(SBIN)/
	@cp -pf $(SBINFILES) $(SBIN)/
	@echo Installing the server library in $(SLIB)/
	@mkdir -p $(SLIB)/
	@cp -pf $(SLIBFILES) $(SLIB)/
	@echo Installing man pages in $(MANS)/man1/
	@mkdir -p $(MANS)/man1/
	@cp -pf $(MAN1FILES) $(MANS)/man1/
	@echo Installing man pages in $(MANS)/man5/
	@mkdir -p $(MANS)/man5/
	@cp -pf $(MAN5FILES) $(MANS)/man5/
	@echo Installing man pages in $(MANS)/man7/
	@mkdir -p $(MANS)/man7/
	@cp -pf $(MAN7FILES) $(MANS)/man7/
	@echo Installing man pages in $(MANS)/man8/
	@mkdir -p $(MANS)/man8/
	@cp -pf $(MAN8FILES) $(MANS)/man8/
	@echo Installing additional documentation in $(DOCS)/
	@mkdir -p $(DOCS)/
	@cp -af $(DOCSFILES) $(DOCS)/

# Make the package.
package:
	dpkg-buildpackage -kE92A1F5C

# Clean up this directory.
clean:
	rm -f *~

=== config-library/pmc/tftpboot/Makefile ===
# JLdL 23Oct04.
#
# Rule to make the NBI kernel image; the first rule is for tests
# _ on the workbench, the second one is for normal operation.
vmlinuz-nbi: vmlinuz Makefile
	mkelf-linux --rootdir=rom --ip=rom \
		--append="root=/dev/nfs" --output=$@ $<
#	mkelf-linux --rootdir=rom --ip=rom \
#		--append="root=/dev/nfs console=ttyS0,38400" --output=$@ $<

=== debian/changelog ===
cluster-tools-server (1.1.140128) stable; urgency=low

  * Fixed the chroot tools in order to avoid server breakage under Wheezy.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue, 28 Jan 2014 10:08:26 -0200

=== debian/control ===
Source: cluster-tools-server
Section: admin
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2

Package: cluster-tools-server
Architecture: all
Depends: make, dsh, rsh-client | ssh, rwho, tcsh
Conflicts: cluster-tools-client
Description: Tools for remote-boot clusters of nodes or terminals
 This is a set of tools for dealing with clusters of remotely-booted
 compute nodes or X11 terminals, hosted on a cluster server, using
 hard-linked filesystems for the nodes. It includes a couple of simple
 monitoring utilities and tools for creating new nodes, maintaining
 the hard-linked filesystems, installing new kernels on the nodes and
 and managing Debian packages on the nodes.
 .
 This package should be installed on the cluster server. It includes
 the monitoring utilities and all the tools, some of which depend on
 the package cluster-tools-client being installed on all the nodes of
 the cluster.

=== debian/rules ===
#!/usr/bin/make -f
# JLdL 08Dec13.
#
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/cluster-tools-server.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cluster-tools-server


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
